unit gfnf_tabulka;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Calendar,
  Grids, StdCtrls;

type
  TFormTabulka = class(TForm)
    LabelJednotka: TLabel;
    LabelNapis: TLabel;
    StGrTabulka: TStringGrid;
    procedure FormTabulkaClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormTabulkaCreate(Sender: TObject);
    procedure FormTabulkaShow(Sender: TObject);
    procedure FormTabulkaStartDock(Sender: TObject;
      var DragObject: TDragDockObject);
    procedure StGrTabulkaClick(Sender: TObject);
  private
    { private declarations }
  public


  end; 

var
  FormTabulka: TFormTabulka;

implementation
uses gfnf_okno1,marek_unit;
{ TFormTabulka }

procedure TFormTabulka.FormTabulkaShow(Sender: TObject);
var hodnota:real;
    i:longint;
begin
  //Top:=Form_hlanvi.top;
  //Left:=Form_hlanvi.Left+Form_hlanvi.Width+10;

  Caption:='Tabulka funkce '+Form_hlanvi.ZahlaviFunkce;
  LabelNapis.Text:='Tabulka funkce '+Form_hlanvi.ZahlaviFunkce;
  LabelJednotka.Text:='Jednotka: '+Form_hlanvi.Jednotka;
  StGrTabulka.Cells[0,0]:='x';
  StGrTabulka.Cells[1,0]:=Form_hlanvi.ZahlaviFunkce+'(x)';

  //generovn tabulky
  hodnota:=Form_hlanvi.Odkud;
  i:=1;
  StGrTabulka.RowCount:=trunc((Form_hlanvi.kam-Form_hlanvi.Odkud)/Form_hlanvi.krok)+4;
  while hodnota<=Form_hlanvi.kam do begin
        StGrTabulka.Cells[0,i]:=FloatToStrF(hodnota,ffFixed,3,2);
        StGrTabulka.Cells[1,i]:=FloatToStrF
          (gonio(Form_hlanvi.RadioGroupFUnkce.ItemIndex,Form_hlanvi.RadioGroupJednotky.ItemIndex,hodnota)
           ,ffFixed,3,2);
        hodnota:=hodnota+Form_hlanvi.krok;
        Inc(i);
  end;
   if hodnota < Form_hlanvi.kam+Form_hlanvi.krok then begin
      StGrTabulka.RowCount:=i+1;
      StGrTabulka.Cells[0,i]:=FloatToStrF(Form_hlanvi.kam,ffFixed,3,2);
      StGrTabulka.Cells[1,i]:=FloatToStrF
          (gonio(Form_hlanvi.RadioGroupFUnkce.ItemIndex,Form_hlanvi.RadioGroupJednotky.ItemIndex,Form_hlanvi.kam)
           ,ffFixed,3,2);
   end else
     StGrTabulka.RowCount:=i;

end;

procedure TFormTabulka.FormTabulkaStartDock(Sender: TObject;
  var DragObject: TDragDockObject);
begin
    Top:=Form_hlanvi.top;
  Left:=Form_hlanvi.Left+Form_hlanvi.Width+10;
end;

procedure TFormTabulka.FormTabulkaCreate(Sender: TObject);
begin

end;

procedure TFormTabulka.FormTabulkaClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
  FormTabulka.Free;
end;

procedure TFormTabulka.StGrTabulkaClick(Sender: TObject);
begin

end;

initialization
  {$I gfnf_tabulka.lrs}

end.

