unit gfnf_okno1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons, ExtCtrls, Arrow, Spin, gfnf_tabulka, ComCtrls, Menus;

type
  TForm_hlanvi = class(TForm)
    BtnGeneruj: TButton;
    EditOd: TEdit;
    EditDo: TEdit;
    EditKrok: TEdit;
    LabelOd: TLabel;
    LabelDo: TLabel;
    LabelKrok: TLabel;
    MaMeHlavni: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItemRadian: TMenuItem;
    MenuItemStupen: TMenuItem;
    MenuItemSin: TMenuItem;
    SubMenuItemZakazat: TMenuItem;
    MenuItemCos: TMenuItem;
    MenuItemTg: TMenuItem;
    PopupItem2: TMenuItem;
    MenuItemSoubor: TMenuItem;
    MenuItemKonec: TMenuItem;
    PopupItem1: TMenuItem;
    SubMenuItemVolby: TMenuItem;
    SubMenuItemKonec: TMenuItem;
    napis: TLabel;
    PoMePopup: TPopupMenu;
    RadioGroupJednotky: TRadioGroup;
    RadioGroupFUnkce: TRadioGroup;
    StatusBar: TStatusBar;
    procedure BtnGenerujClick(Sender: TObject);
    procedure BtnGenerujMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure EditDoClick(Sender: TObject);
    procedure EditDoEnter(Sender: TObject);
    procedure EditDoExit(Sender: TObject);
    procedure EditKrokClick(Sender: TObject);
    procedure EditKrokEnter(Sender: TObject);
    procedure EditKrokExit(Sender: TObject);
    procedure EditOdClick(Sender: TObject);
    procedure EditOdEnter(Sender: TObject);
    procedure EditOdExit(Sender: TObject);
    procedure EditOdMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer
      );
    procedure Form_hlanviCreate(Sender: TObject);
    procedure Form_hlanviMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure MenuItem5Click(Sender: TObject);
    procedure MenuItemCosClick(Sender: TObject);
    procedure MenuItemRadianClick(Sender: TObject);
    procedure MenuItemSinClick(Sender: TObject);
    procedure MenuItemStupenClick(Sender: TObject);
    procedure MenuItemTgClick(Sender: TObject);
    procedure PopupItem1Click(Sender: TObject);
    procedure PopupItem2Click(Sender: TObject);
    procedure RadioGroupFUnkceEnter(Sender: TObject);
    procedure RadioGroupFUnkceMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure RadioGroupJednotkyEnter(Sender: TObject);
    procedure RadioGroupJednotkyMouseMove(Sender: TObject; Shift: TShiftState;
      X, Y: Integer);
    procedure SubMenuItemKonecClick(Sender: TObject);
    procedure SubMenuItemZakazatClick(Sender: TObject);

  private
    FormTabulka:TFormTabulka;
    povedlose1,povedlose2,povedlose3:byte;
  public
    Odkud,kam,krok:real;
    ZahlaviFunkce,Jednotka:String;
  end;

var
  Form_hlanvi: TForm_hlanvi;

implementation

{ TForm_hlanvi }



procedure TForm_hlanvi.BtnGenerujMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin

end;

procedure TForm_hlanvi.EditDoClick(Sender: TObject);
begin
    EditDo.SelectAll;
end;

procedure TForm_hlanvi.EditDoEnter(Sender: TObject);
begin
    EditDo.SelectAll;
    StatusBar.Panels[1].Text:='Vyberte meze a krok';
end;

procedure TForm_hlanvi.EditDoExit(Sender: TObject);
begin

end;

procedure TForm_hlanvi.EditKrokClick(Sender: TObject);
begin
    EditKrok.SelectAll;
end;

procedure TForm_hlanvi.EditKrokEnter(Sender: TObject);
begin
    EditKrok.SelectAll;
    StatusBar.Panels[1].Text:='Vyberte meze a krok';
end;

procedure TForm_hlanvi.EditKrokExit(Sender: TObject);
begin

end;

procedure TForm_hlanvi.EditOdClick(Sender: TObject);
begin
    EditOd.SelectAll;
end;

procedure TForm_hlanvi.EditOdEnter(Sender: TObject);
begin
  EditOd.SelectAll;
  StatusBar.Panels[1].Text:='Vyberte meze a krok';
end;

procedure TForm_hlanvi.EditOdExit(Sender: TObject);
begin

end;

procedure TForm_hlanvi.EditOdMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
    StatusBar.Panels[1].Text:='Vyberte meze a krok';
end;

procedure TForm_hlanvi.Form_hlanviCreate(Sender: TObject);
begin
end;

procedure TForm_hlanvi.Form_hlanviMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  StatusBar.Panels[1].Text:='';
end;

procedure TForm_hlanvi.MenuItem5Click(Sender: TObject);
begin

end;

procedure TForm_hlanvi.MenuItemCosClick(Sender: TObject);
begin
  RadioGroupFUnkce.ItemIndex:=1;
end;

procedure TForm_hlanvi.MenuItemRadianClick(Sender: TObject);
begin
    RadioGroupJednotky.ItemIndex:=0;
end;

procedure TForm_hlanvi.MenuItemSinClick(Sender: TObject);
begin
  RadioGroupFUnkce.ItemIndex:=0;
end;

procedure TForm_hlanvi.MenuItemStupenClick(Sender: TObject);
begin
  RadioGroupJednotky.ItemIndex:=1;
end;

procedure TForm_hlanvi.MenuItemTgClick(Sender: TObject);
begin
    RadioGroupFUnkce.ItemIndex:=2;
end;

procedure TForm_hlanvi.PopupItem1Click(Sender: TObject);
begin
  BtnGenerujClick(sender);
end;

procedure TForm_hlanvi.PopupItem2Click(Sender: TObject);
begin
  close;
end;

procedure TForm_hlanvi.RadioGroupFUnkceEnter(Sender: TObject);
begin
  StatusBar.Panels[1].Text:='Vyberte funkci';
end;

procedure TForm_hlanvi.RadioGroupFUnkceMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  StatusBar.Panels[1].Text:='Vyberte funkci';
end;

procedure TForm_hlanvi.RadioGroupJednotkyEnter(Sender: TObject);
begin
  StatusBar.Panels[1].Text:='Vyberte jednotky';
end;

procedure TForm_hlanvi.RadioGroupJednotkyMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  StatusBar.Panels[1].Text:='Vyberte jednotky';
end;

procedure TForm_hlanvi.SubMenuItemKonecClick(Sender: TObject);
begin
   Close;
end;

procedure TForm_hlanvi.SubMenuItemZakazatClick(Sender: TObject);
begin
  SubMenuItemZakazat.Checked:=not(SubMenuItemZakazat.Checked);
  BtnGeneruj.Enabled:=not(SubMenuItemZakazat.Checked)                                    ;
end;

procedure TForm_hlanvi.BtnGenerujClick(Sender: TObject);

begin
  val(EditOd.Text,Odkud,povedlose1);
  val(EditDo.Text,kam,povedlose2);
  val(EditKrok.Text,krok,povedlose3);
  if povedlose1+povedlose2+povedlose3<>0 then
               ShowMessage('Zadan hodnota nen platn')
  else begin
       FormTabulka:=TFormTabulka.Create(self);
       ZahlaviFunkce:=RadioGroupFUnkce.Items[RadioGroupFUnkce.ItemIndex];
       Jednotka:=RadioGroupJednotky.Items[RadioGroupJednotky.ItemIndex];
       FormTabulka.Show;
  end;
   
end;

initialization
  {$I gfnf_okno1.lrs}

end.

